%global namedversion gl%{version}-android-2.1_r1
Name:          android-opengl-api
Version:       1.1
Release:       14%{?dist}
Summary:       Google Android Java ME Library (Khronos)
License:       ASL 2.0
# While the EULA for the Android SDK restricts distribution of those binaries, the source code 
# is licensed under Apache 2.0 which allows compiling binaries from source and then distributing
# those versions.
URL:           http://developer.android.com/guide/topics/graphics/opengl.html
Source0:       http://repo1.maven.org/maven2/org/khronos/opengl-api/%{namedversion}/opengl-api-%{namedversion}-sources.jar
Source1:       http://repo1.maven.org/maven2/org/khronos/opengl-api/%{namedversion}/opengl-api-%{namedversion}.pom
# android-opengl-api package don't include the license file    
Source2:       http://www.apache.org/licenses/LICENSE-2.0.txt
BuildRequires: maven-local
BuildArch:     noarch

%description
The Android implementation of Khronos OpenGL Spec
for the Google Android SDK.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -T -q -c
mkdir -p src/main/java

(
  cd src/main/java
  jar -xf %{SOURCE0}
  rm -rf META-INF
)

cp -p %{SOURCE1} pom.xml

cp -p %{SOURCE2} .
sed -i 's/\r//' LICENSE-2.0.txt

%mvn_file :opengl-api opengl-api

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 29 2015 gil cattaneo <puntogil@libero.it> 1.1-9
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 06 2013 gil cattaneo <puntogil@libero.it> 1.1-6
- switch to XMvn
- minor changes to adapt to current guideline

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.1-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Oct 22 2012 gil cattaneo <puntogil@libero.it> 1.1-3
- fix build on x86_64

* Mon Oct 22 2012 gil cattaneo <puntogil@libero.it> 1.1-2
- fix javadoc sub package

* Tue Jul 03 2012 gil cattaneo <puntogil@libero.it> 1.1-1
- initial rpm